<?php  

html::title('Авторизация');
acms_header();
access('guests');

/*
------------------------
Если авторизация закрыта
------------------------
*/

if (config('AUT_ACCESS') == 0){

  html::empty('Извините, авторизация закрыта', 'times');
  acms_footer();
  
}

if (post('ok_aut')){
 
  valid::create(array('aut' => []));
  
  if (ERROR_LOG == 1){
    
    session('captcha', 1);
    redirect('/login/');
    
  }
  
  $user = db::get_string("SELECT `ID` FROM `USERS` WHERE `LOGIN` = ? AND `PASSWORD` = ? LIMIT 1", [AUT_LOGIN, AUT_PASSWORD]);  
  $hash = user_hash($user['ID']);
  db::get_set("UPDATE `USERS` SET `IP` = ?, `BROWSER` = ?, `HASH` = ? WHERE `ID` = ? LIMIT 1", [IP, BROWSER, $hash, $user['ID']]);  
  session('HASH', $hash); 
  session('captcha', 0);
  
  if (post('save') == 1){

    setcookie('DOUBLE', 1, TM + 60 * 60 * 24 * 365, '/');
    setcookie('USER_ID', user_shif($user['ID']), TM + 60 * 60 * 24 * 365, '/');
    setcookie('PASSWORD', cencrypt(post('password'), $user['ID']), TM + 60 * 60 * 24 * 365, '/');
    session('salt', base64_encode(user_shif($user['ID']).','.cencrypt(post('password'), $user['ID'])));
    
  }

  hooks::challenge('aut', 'aut');  
  hooks::run('aut');
  
  success('Вы успешно авторизовались');    
  redirect('/account/cabinet/');

}

?>
  
<div class='circle1'></div>
<div class='circle2'></div>  
<div class='circle3'></div>  
  
<form method='post' action='/login/' class='list-tr'>
  
<?php
hooks::challenge('aut_head', 'aut_head');  
hooks::run('aut_head');
?>
  
<center>
<div class='list-tr-avatar'>
<?=icons('user-o', 50)?>
</div>
<div class='aut-text'><?=lg('Оставайтесь всегда в сети рядом с близкими и друзьями')?></div>  
</center>
  
<?=html::input('login', 'Логин', null, config('REG_STR'), null, 'form-control-100', 'text', null, 'user')?>
<?=html::input('password', 'Пароль', null, 24, null, 'form-control-100', 'password', null, 'lock')?>
  
<?php
  
if (session('captcha') == 1){
  
  html::captcha('Введите числа');
  
}

html::button('button', 'ok_aut', null, 'Войти');
  
?>
  
<div class='save_aut'>
<?=html::checkbox('save', 'Запомнить', 1, 1)?>
</div>
  
<br />
  
<a href='/password/' class='aut'><?=lg('Забыли пароль?')?></a>
<a href='/registration/' style='float: right;' class='aut'><?=lg('Регистрация')?></a>
  
<?php
hooks::challenge('aut_foot', 'aut_foot');  
hooks::run('aut_foot');
?>

</form>

<?php acms_footer();