<?php
html::title('Моя корзина с товарами');
acms_header();
access('users');

if (config('PRIVATE_SHOP') == 0){
  
  error('Модуль отключен администратором');
  redirect('/');
  
}

if (get('del') && db::get_column("SELECT COUNT(*) FROM `SHOP_BASKET` WHERE `ID` = ? LIMIT 1", [intval(get('del'))]) > 0){
  
  db::get_set("DELETE FROM `SHOP_BASKET` WHERE `ID` = ?", [intval(get('del'))]);
  success('Товар успешно удален из корзины');
  redirect('/m/shop/basket/');
  
}

$column = db::get_column("SELECT COUNT(*) FROM `SHOP_BASKET` WHERE `USER_ID` = ?", [user('ID')]);
  
if ($column == 0){ 
  
  html::empty('В корзине пусто', 'shopping-basket');

}else{
  
  ?><div class='list-body'><?
  
}

$sump = 0;
$data2 = db::get_string_all("SELECT * FROM `SHOP_BASKET` WHERE `USER_ID` = ? ORDER BY `ID` DESC", [user('ID')]);  
while ($list2 = $data2->fetch()){
  
  $list = db::get_string("SELECT * FROM `SHOP_GOODS` WHERE `ID` = ? LIMIT 1", [$list2['GOODS_ID']]); 
  
  require (ROOT.'/modules/shop/plugins/list.php');
  echo $shop_list;
  
  $sum = $list['SUM'];
  
  if (config('SHOP_DISCOUNT') == 1 && $list['DISCOUNT_TIME'] > TM && $list['DISCOUNT'] > 0) {
    
    $sum = $list['SUM'] / 100;
    $sum = $sum * $list['DISCOUNT'];
    $sum = $list['SUM'] - $sum;
  
  }
  
  $sump += $sum;

}

if ($column > 0){
  
  if (config('SHOP_MONEY_TYPE') == 1) {
    
    $sump = money($sump, 2);
  
  }elseif (config('SHOP_MONEY_TYPE') == 2) {
    
    $sump = $sump.' '.lg('баллов');
  
  }elseif (config('SHOP_MONEY_TYPE') == 3) {
    
    $sump = $sump.' '.lg('единиц рейтинга');
  
  }
  
  ?>
  </div>
  <div class='list'><b>
  <?=lg('Товаров в корзине')?>: <?=$column?><br />
  <?=lg('Итого на сумму')?>: <?=$sump?>
  </b></div>
  <?
  
}

forward('/m/shop/sc/', 'В магазин');
back('/account/cabinet/');
acms_footer();