<?php
$goods = db::get_string("SELECT * FROM `SHOP_GOODS` WHERE `ID` = ? LIMIT 1", [intval(get('id'))]);   
acms_header(lg('Покупка %s', tabs($goods['NAME'])));
is_active_module('PRIVATE_SHOP');

if (user('ID') == 0){
  
  html::empty('Для покупки необходимо авторизоваться или зарегистрироваться');
  
  acms_footer();
  exit;

}

if ($goods['TYPE'] == 'cf' && db::get_column("SELECT COUNT(`ID`) FROM `SHOP_PURCHASE` WHERE `USER_ID` = ? AND `GOODS_ID` = ? LIMIT 1", [user('ID'), $goods['ID']]) > 0){
  
  error('Товар уже куплен');
  redirect('/m/shop/show/?id='.$goods['ID']);

}

if ($goods['QUA'] == 0){
  
  error('Закончилось количество копий');
  redirect('/m/shop/show/?id='.$goods['ID']);

}

$sum = $goods['SUM']; 
$sum2 = null;
$sum3 = null;
$sum4 = null;

if (config('SHOP_DISCOUNT') == 1 && $goods['DISCOUNT_TIME'] > TM && $goods['DISCOUNT'] > 0) {
    
  $sum = $goods['SUM'] / 100;
  $sum = $sum * $goods['DISCOUNT'];
  $sum = $goods['SUM'] - $sum;
  $sum2 = ' <font color="#95A0A6"><s>'.$goods['SUM'].'</s></font> ';
  $sum3 = ' <span style="background-color: #FF5A72; padding: 2px 0.7em; border-radius: 7px; font-size: 11px; color: white; display: inline-block; position: relative; bottom: 2px; line-height: 15px">'.lg('Скидка').' -'.$goods['DISCOUNT'].'%</span> ';

}

if ($goods['TYPE'] == 'ob'){
  
  if (post('ok_pur')){
    
    valid::create(array(
      
      'PUR_PHONE' => ['phone', 'text', [2, 20], 'Телефон', 0],
      'PUR_ADRESS' => ['adress', 'text', [2, 500], 'Адрес', 0],
      'PUR_MESSAGE' => ['message', 'text', [0, 500], 'Сообщение', 0]
    
    ));
    
    if (ERROR_LOG == 1){
      
      redirect('/m/shop/purchase/?id='.$goods['ID']);
    
    }
    
    if (config('SHOP_MONEY_TYPE') == 1) {
      
      if ($sum > user('MONEY')){
        
        error('Недостаточно денег на счету');
        redirect('/m/shop/purchase/?id='.$goods['ID']);
      
      }
      
      db::get_set("UPDATE `USERS` SET `MONEY` = `MONEY` - ? WHERE `ID` = ? LIMIT 1", [$sum, user('ID')]);
    
    }elseif (config('SHOP_MONEY_TYPE') == 2) {
      
      if ($sum > user('BALLS')){
        
        error('Недостаточно баллов на счету');
        redirect('/m/shop/purchase/?id='.$goods['ID']);
      
      }
      
      db::get_set("UPDATE `USERS` SET `BALLS` = `BALLS` - ? WHERE `ID` = ? LIMIT 1", [$sum, user('ID')]);
    
    }elseif (config('SHOP_MONEY_TYPE') == 3) {
      
      if ($sum > user('RATING')){
        
        error('Недостаточно рейтинга на счету');
        redirect('/m/shop/purchase/?id='.$goods['ID']);
      
      }
      
      db::get_set("UPDATE `USERS` SET `RATING` = `RATING` - ? WHERE `ID` = ? LIMIT 1", [$sum, user('ID')]);
    
    }
    
    db::get_add("INSERT INTO `SHOP_PURCHASE` (`PHONE`, `MESSAGE`, `ADRESS`, `TIME`, `GOODS_ID`, `USER_ID`, `ACT`) VALUES (?, ?, ?, ?, ?, ?, ?)", [PUR_PHONE, PUR_MESSAGE, PUR_ADRESS, TM, $goods['ID'], user('ID'), 0]);
    db::get_set("UPDATE `SHOP_GOODS` SET `QUA` = `QUA` - ? WHERE `ID` = ?", [1, $goods['ID']]);
    
    $message = lg('Товар %s куплен и ждет доставки.', '[url=/m/shop/show/?id='.$goods['ID'].']'.lg($goods['NAME']).'[/url]');
    messages::get(intval(config('SYSTEM')), $goods['USER_ID'], $message);
    
    db::get_set("DELETE FROM `SHOP_BASKET` WHERE `USER_ID` = ? AND `GOODS_ID` = ?", [user('ID'), $goods['ID']]);
    
    success('Заказ оформлен, ожидайте доставки. С Вами свяжутся по указанному номеру телефона или напишут в почту.');
    redirect('/m/shop/purchase_user/');
    
  }
  
  if (config('SHOP_MONEY_TYPE') == 1) {
    
    $sum = money($sum, 2);
    $usum = money(user('MONEY'), 2);
  
  }elseif (config('SHOP_MONEY_TYPE') == 2) {
    
    $sum = $sum.' '.lg('баллов');
    $usum = user('BALLS').' '.lg('баллов');
  
  }elseif (config('SHOP_MONEY_TYPE') == 3) {
    
    $sum = $sum.' '.lg('единиц рейтинга');
    $usum = user('RATING').' '.lg('единиц рейтинга');
  
  } 
  
  $sum = '<b>'.$sum2.$sum.$sum3.'</b>';
  
  ?>    
  <div class='list'>
  <form method='post' class='ajax-form' action='/m/shop/purchase/?id=<?=$goods['ID']?>'>
  <?=html::input('phone', 'Номер телефона', null, null, null, 'form-control-100', 'tel', null, 'phone')?>
  <?=html::input('adress', 'Адрес доставки', null, null, null, 'form-control-100', 'text', null, 'map-marker')?>
  <?=html::textarea(null, 'message', 'Комментарий (не обязательно)', null, 'form-control-textarea', 9, 0)?>
  <br /><br />
  <b><?=lg('Стоимость')?>: <?=$sum?></b><br />
  <b><?=lg('Ваш баланс')?>: <?=$usum?></b>
  <br /><br />
  <?=html::button('button ajax-button', 'ok_pur', 'save', 'Купить')?>
  </form>
  </div>
  <?

}else{
  
  if (post('ok_pur')){
    
    if (config('SHOP_MONEY_TYPE') == 1) {
      
      if ($sum > user('MONEY')){
        
        error('Недостаточно денег на счету');
        redirect('/m/shop/purchase/?id='.$goods['ID']);
      
      }
      
      db::get_set("UPDATE `USERS` SET `MONEY` = `MONEY` - ? WHERE `ID` = ? LIMIT 1", [$sum, user('ID')]);
      db::get_set("UPDATE `USERS` SET `MONEY` = `MONEY` + ? WHERE `ID` = ? LIMIT 1", [$sum, $goods['USER_ID']]);
    
    }elseif (config('SHOP_MONEY_TYPE') == 2) {
      
      if ($sum > user('BALLS')){
        
        error('Недостаточно баллов на счету');
        redirect('/m/shop/purchase/?id='.$goods['ID']);
      
      }
      
      db::get_set("UPDATE `USERS` SET `BALLS` = `BALLS` - ? WHERE `ID` = ? LIMIT 1", [$sum, user('ID')]);
      db::get_set("UPDATE `USERS` SET `BALLS` = `BALLS` + ? WHERE `ID` = ? LIMIT 1", [$sum, $goods['USER_ID']]);
    
    }elseif (config('SHOP_MONEY_TYPE') == 3) {
      
      if ($sum > user('RATING')){
        
        error('Недостаточно рейтинга на счету');
        redirect('/m/shop/purchase/?id='.$goods['ID']);
      
      }
      
      db::get_set("UPDATE `USERS` SET `RATING` = `RATING` - ? WHERE `ID` = ? LIMIT 1", [$sum, user('ID')]);
      db::get_set("UPDATE `USERS` SET `RATING` = `RATING` + ? WHERE `ID` = ? LIMIT 1", [$sum, $goods['USER_ID']]);
    
    }
    
    db::get_add("INSERT INTO `SHOP_PURCHASE` (`TIME`, `GOODS_ID`, `USER_ID`, `ACT`) VALUES (?, ?, ?, ?)", [TM, $goods['ID'], user('ID'), 1]);
    db::get_set("UPDATE `SHOP_GOODS` SET `QUA` = `QUA` - ? WHERE `ID` = ?", [1, $goods['ID']]);
    
    $message = lg('Товар %s куплен.', '[url=/m/shop/show/?id='.$goods['ID'].']'.lg($goods['NAME']).'[/url]');
    messages::get(intval(config('SYSTEM')), $goods['USER_ID'], $message);
    
    db::get_set("DELETE FROM `SHOP_BASKET` WHERE `USER_ID` = ? AND `GOODS_ID` = ?", [user('ID'), $goods['ID']]);
    
    success('Товар успешно куплен. Теперь вы можете его скачать');
    redirect('/m/shop/show/?id='.$goods['ID']);
    
  }
  
  if (config('SHOP_MONEY_TYPE') == 1) {
    
    $sum = money($sum, 2);
    $usum = money(user('MONEY'), 2);
  
  }elseif (config('SHOP_MONEY_TYPE') == 2) {
    
    $sum = $sum.' '.lg('баллов');
    $usum = user('BALLS').' '.lg('баллов');
  
  }elseif (config('SHOP_MONEY_TYPE') == 3) {
    
    $sum = $sum.' '.lg('единиц рейтинга');
    $usum = user('RATING').' '.lg('единиц рейтинга');
  
  } 
  
  $sum = '<b>'.$sum2.$sum.$sum3.'</b>';
  
  ?>    
  <div class='list'>
  <form method='post' class='ajax-form' action='/m/shop/purchase/?id=<?=$goods['ID']?>'>
  <b><?=lg('Стоимость')?>: <?=$sum?></b><br />
  <b><?=lg('Ваш баланс')?>: <?=$usum?></b>
  <br /><br />
  <?=html::button('button ajax-button', 'ok_pur', 'save', 'Купить')?>
  </form>
  </div>
  <?
  
}

back('/m/shop/show/?id='.$goods['ID']);
acms_footer();