<?php
$wall = db::get_string("SELECT * FROM `WALL` WHERE `ID` = ? AND `USER` > ?", [intval(get('id')), 0]);
acms_header('Редактировать запись', 'users');
is_active_module('PRIVATE_WALL');

if (!isset($wall['ID'])){
  
  error('Неверная директива');
  redirect('/');
  
}

if (access('wall', null) == true || $wall['USER'] == user('ID') || $wall['USER_ID'] == user('ID')){
  
  $polling = db::get_string("SELECT * FROM `WALL_POLLING` WHERE `WALL_ID` = ? AND `ACT` = '1' LIMIT 1", [$wall['ID']]);

  if (get('get') == 'add_polling' && !isset($polling['ID'])){
  
    db::get_add("INSERT INTO `WALL_POLLING` (`WALL_ID`, `ACT`) VALUES (?, ?)", [$wall['ID'], 1]);
    success('Опрос добавлен');
    redirect('/account/wall/edit/?id='.$wall['ID']);

  }

  if (get('get') == 'delete_polling' && isset($polling['ID'])){
  
    db::get_set("DELETE FROM `WALL_POLLING_OPTIONS` WHERE `POLLING_ID` = ?", [$polling['ID']]);
    db::get_set("DELETE FROM `WALL_POLLING_OPTIONS_USER` WHERE `POLLING_ID` = ?", [$polling['ID']]);
    db::get_set("DELETE FROM `WALL_POLLING` WHERE `ID` = ?", [$polling['ID']]);   
    success('Опрос удален');
    redirect('/account/wall/edit/?id='.$wall['ID']);

  }

  $type_link = 'edit';
  if (isset($polling['ID'])){ $poll_disp = null; }else{ $poll_disp = 'display: none'; }

  $count = db::get_column("SELECT COUNT(*) FROM `WALL_POLLING_OPTIONS` WHERE `POLLING_ID` = ? AND `NUM` > '2'", [$polling['ID']]);
  $options = $count + 3;

  if (post('ok')){
  
    valid::create(array(

      'WALL_PRIVATE_COMMENTS' => ['private_comments', 'number', [0, 5], 'Приватность комментариев'],
      'WALL_MESSAGE' => ['message', 'text', [10, 20000], 'Содержание', 0],
      'POL_NAME' => ['name', 'text', [0, 120], 'Название', 0],
      'POL_PRIVATE' => ['private', 'number', [0, 1], 'Тип'],
      'POL_PHONE' => ['phone', 'number', [0, 12], 'Фон'],
      'POL_STIME' => ['stime', 'number', [0, 999999999999], 'Время']
  
    ));
  
    if (ERROR_LOG == 1){
    
      redirect('/account/wall/edit/?id='.$wall['ID']);
  
    }
  
    db::get_set("UPDATE `WALL` SET `PRIVATE_COMMENTS` = ?, `MESSAGE` = ?, `ACT` = ? WHERE `ID` = ? LIMIT 1", [WALL_PRIVATE_COMMENTS, WALL_MESSAGE, 0, $wall['ID']]);
    db::get_set("UPDATE `ATTACHMENTS` SET `ID_POST` = ?, `ACT` = '1' WHERE `USER_ID` = ? AND `ACT` = '0' AND `TYPE_POST` = ?", [$wall['ID'], user('ID'), 'wall']);
  
    if (str(POL_NAME) > 0){
    
      if (POL_STIME == 0){
      
        $stime = 0;
    
      }else{
      
        $stime = TM + $st;
    
      }
    
      for ($i = 1; $i < $options; $i++){
      
        if (str(post('options'.$i)) > 120){
        
          error('Вариант №'.$i.' не может содержать более 120 символов');
          redirect(REQUEST_URI);
      
        }
      
        if (str(post('options'.$i)) < 1){
        
          error('Вариант №'.$i.' не может содержать менее 1 символа');
          redirect(REQUEST_URI);        
      
        }
      
        if (db::get_column("SELECT COUNT(*) FROM `WALL_POLLING_OPTIONS` WHERE `POLLING_ID` = ? AND `NUM` = ? LIMIT 1", [$polling['ID'], $i]) == 0){
        
          db::get_add("INSERT INTO `WALL_POLLING_OPTIONS` (`NAME`, `NUM`, `POLLING_ID`) VALUES (?, ?, ?)", [esc(post('options'.$i)), $i, $polling['ID']]);
      
        }else{
        
          db::get_set("UPDATE `WALL_POLLING_OPTIONS` SET `NAME` = ? WHERE `POLLING_ID` = ? AND `NUM` = ? LIMIT 1", [esc(post('options'.$i)), $polling['ID'], $i]);
      
        }
    
      }
    
      db::get_set("UPDATE `WALL_POLLING` SET `ACT` = ?, `STIME` = ?, `TIME` = ?, `PHONE` = ?, `NAME` = ?, `PRIVATE` = ? WHERE `WALL_ID` = ? AND `ACT` = '1' LIMIT 1", [1, $stime, TM, POL_PHONE, POL_NAME, POL_PRIVATE, $wall['ID']]);
  
    }
  
    success('Изменения успешно приняты');
    redirect('/account/wall/show/?id='.$wall['ID']);
  
  }

  define('ACTION', '/account/wall/edit/?id='.$wall['ID']);
  define('TYPE', 'wall');
  define('ID', $wall['ID']);

  ?>    
  <div class='list'>
  <form method='post' class='ajax-form' action='/account/wall/edit/?id=<?=$wall['ID']?>'>
  <?=html::textarea(tabs($wall['MESSAGE']), 'message', 'Введите содержимое', null, 'form-control-textarea', 9)?>  
  <?php require_once (ROOT.'/users/account/wall/plugins/polling_edit.php'); ?>
  <br /><br />
  <?=html::select('private_comments', array(
    0 => ['Всем', ($wall['PRIVATE_COMMENTS'] == 0 ? "selected" : null)], 
    1 => ['Мне и друзьям', ($wall['PRIVATE_COMMENTS'] == 1 ? "selected" : null)], 
    2 => ['Только мне', ($wall['PRIVATE_COMMENTS'] == 2 ? "selected" : null)]
  ), 'Комментирование', 'form-control-100-modify-select', 'comment')?>
  <?=html::button('button ajax-button', 'ok', 'save', 'Сохранить изменения')?>
  <a class='button-o' href='/account/wall/show/?id=<?=$wall['ID']?>'><?=lg('Отмена')?></a>
  </form>
  </div>
  <?

  back('/account/wall/show/?id='.$wall['ID']);
  acms_footer();
  
}else{
  
  error('Неверная директива');
  redirect('/');
  
}